﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace FlexGridIntro.Models
{
    

    public class Sale
    {
        public string OldId { get; set; }
        public string NewId { get; set; }
        public string Country { get; set; }
        public string Product { get; set; }
        public string Color { get; set; }

        /// <summary>
        /// Get the data.
        /// </summary>
        /// <param name="total"></param>
        /// <returns></returns>
        public static IEnumerable<Sale> GetData(int total)
        {
            var countries = new[] { "US", "UK", "Canada", "Japan", "China", "France", "German", "Italy", "Korea", "Australia" };
            var products = new[] { "Widget", "Gadget", "Doohickey" };
            var colors = new[] { "Black", "White", "Red", "Green", "Blue" };
            var rand = new Random(0);
            var list = Enumerable.Range(0, total).Select(i =>
            {
                var country = countries[rand.Next(0, countries.Length - 1)];
                var product = products[rand.Next(0, products.Length - 1)];
                var color = colors[rand.Next(0, colors.Length - 1)];

                return new Sale
                {
                    OldId = Guid.NewGuid().ToString(),
                    NewId = Guid.NewGuid().ToString(),
                    Country = country,
                    Product = product,
                    Color = color,
                };
            });
            return list;
        }
    }
    public class SaleEx
    {
        public string Id { get; set; }
        public string Country { get; set; }
        public string Product { get; set; }
        public string Color { get; set; }

        public static IEnumerable<SaleEx> GetData(int total)
        {
            List<SaleEx> sales = new List<SaleEx>();
            foreach (var sale in Sale.GetData(total / 2))
            {
                sales.Add(new SaleEx
                {
                    Id = sale.OldId,
                    Color = sale.Color,
                    Country = sale.Country,
                    Product = sale.Product
                });
                sales.Add(new SaleEx
                {
                    Id = sale.NewId,
                    Color = sale.Color,
                    Country = sale.Country,
                    Product = sale.Product
                });
            }
            return sales;
        }
    }
}